#
# spec file for package geki2 (Version 0.9.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel

Name:         geki2
Summary:      2D length scrolling spaceship shooting game
Version:      0.9.0
Release:      96
License:	GPL
Group:		Amusements/Games  
Source:		geki2-KXL-0.9.0.tar.gz
Source2:	KXL-0.5.5.tar.gz
Provides:	KXL
Patch:		geki2-KXL-0.9.0.dif
URL:		http://www2.mwnet.or.jp/~fc3srx7/
#Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Nice little 2D vertical scrolling paceship hooting game
with many sounds, but also works without a soundcard.

SuSE series: fun

%prep
%setup -n geki2-KXL-0.9.0 -b 2
%patch
touch INSTALL NEWS AUTHORS
automake
autoconf
cd ../KXL-0.5.5
%{?suse_update_config:%{suse_update_config -f}}

%build
export CFLAGS="%{optflags} -fomit-frame-pointer"
%ifarch %{ix86}
export CFLAGS="$CFLAGS -malign-loops=2 -malign-jumps=2 -malign-functions=2"
%endif
cd ../KXL-0.5.5
./configure	--prefix=%{_prefix}
make install
ldconfig
cd -
./configure	--prefix=%{_prefix}			\
		--bindir=%{_prefix}/games/bin
make

%install
make install

%files
%{_libdir}/libKXL*.so
%{_prefix}/games/bin/geki2
%{_datadir}/%{name}
%doc ChangeLog README

%changelog -n geki2
* Mon May 07 2001 - bk@suse.de
- added suse_update_config to KXL, now builds on s390 and ia64 too.
* Tue Apr 10 2001 - bk@suse.de
- initial version
